Update vendor
PATCH
/partners/vendors/{uuid}Updates an existing vendor. Only the fields you send are changed.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe vendor UUID to update.
Request body
namestringUpdated vendor name.
emailstringUpdated email.
mainPhonestringUpdated phone number.
websitestringUpdated website URL.
accountNumberstringUpdated account number.
statusenumUpdated status.
One of: active, inactive
typeenumUpdated classification.
One of: MERCHANT, SUPPLIER, CONTRACTOR, CONTACT, OWNER
legalNamestringUpdated legal name.
taxNumberstringUpdated tax number.
is1099booleanUpdated 1099 flag.
addressobjectUpdated address object.
contactsarrayUpdated contacts array.
Responses
200Vendor updated successfully.400Validation failed or restricted contractor vendor field.404Vendor not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPATCH
https://api.getcount.com/partners/vendors/{uuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'PATCH';
const signingPath = '/vendors/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
"mainPhone": "+18009876543",
"status": "active"
};
const bodyString = JSON.stringify(body);
const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/vendors/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
'Content-Type': 'application/json',
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
body: bodyString,
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Success on updating vendor.",
"data": {
"vendor": {
"id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"name": "Office Depot",
"email": "ap@officedepot.com",
"mainPhone": "+18001234567",
"website": "https://officedepot.com",
"accountNumber": "V-1001",
"status": "active",
"type": "SUPPLIER",
"legalName": "Office Depot Inc.",
"businessName": null,
"taxNumber": null,
"taxType": "none",
"is1099": false,
"address": {
"street": "500 Supply Chain Blvd",
"city": "Boca Raton",
"state": "FL",
"zipCode": "33431",
"country": "USA"
},
"contacts": [
{
"id": "a5da3577-bf85-4e3a-aa73-df85ca69bc67",
"firstName": "Accounts",
"lastName": "Payable",
"email": "ap@officedepot.com",
"phone": "+18001234567",
"isPrimary": true
}
],
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-28T14:22:30.000Z"
}
}
}